Summary:	A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Group:		System Environment/Daemons
License:	distributable
Name:		dhcpd
Version:	3.0.3
Release:	2
Source0:	ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1:	dhcpd.conf.sample
Source2:	dhcpd.init
Source3:	dhcpd.conf-gd
Patch1:		dhcp-3.0-Makefile.conf.patch
Obsoletes:	dhcp
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcpd package includes the DHCP
server and a DHCP relay agent.

%files
  %defattr(0444,root,root,0555)
  %doc README RELNOTES
  %doc %{_mandir}/man*/*

  %attr(0750,root,admin)	%dir %{_localstatedir}/state/dhcp
  %attr(0600,root,root)		%config(noreplace) %{_localstatedir}/state/dhcp/dhcpd.leases

  %attr(0640,root,admin)	%config %{_sysconfdir}/dhcpd.conf
  %attr(0700,root,root)		%config %{_sysconfdir}/init.d/dhcpd

  %attr(0500,root,root)		%{_sbindir}/dhcpd
  %attr(0500,root,root)		%{_sbindir}/dhcrelay

%package -n dhcp-client
Summary:	A DHCP (Dynamic Host Configuration Protocol) client.
Group:		System Environment/Daemons

%description -n dhcp-client
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.

This packages provides a program which allows your EnGarde Secure Linux
machine to obtain an IP address via DHCP.

%files -n dhcp-client
  %attr(0500,root,root)		%{_root_sbindir}/dhclient
  %attr(0500,root,root)		%{_root_sbindir}/dhclient-script

%prep
%setup -q -n dhcp-%{version}
%patch1 -p1

%build
  ./configure
  make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
  install -d $RPM_BUILD_ROOT/%{_bindir}
  install -d $RPM_BUILD_ROOT/%{_includedir}
  install -d $RPM_BUILD_ROOT/%{_libdir}
  install -d $RPM_BUILD_ROOT/%{_mandir}
  install -d $RPM_BUILD_ROOT/%{_root_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/init.d

  make install DESTDIR=$RPM_BUILD_ROOT
  strip $RPM_BUILD_ROOT/%{_sbindir}/* || :

  install %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/dhcpd
  install %{SOURCE3} $RPM_BUILD_ROOT/etc/dhcpd.conf

  touch $RPM_BUILD_ROOT/%{_localstatedir}/state/dhcp/dhcpd.leases

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_bindir}/omshell
  rm -fr $RPM_BUILD_ROOT/%{_includedir}
  rm -f  $RPM_BUILD_ROOT/%{_prefix}/lib/*.a

%post
  if test -r /var/lock/subsys/dhcpd; then
	/etc/init.d/dhcpd restart > /dev/null 2>&1
  fi

%preun
  if [ $1 = 0 ]; then
	/etc/init.d/dhcpd stop > /dev/null 2>&1
	/sbin/chkconfig --del dhcpd 
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.3, Release 2
  - Handle compressed man pages.

* Thu Sep 01 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
